Subject: bug#15245: Search and replace, but based on text properties (inclulding face properties)

From: Drew Adams <[email-masked]>
Date: Mon, 2 Sep 2013 11:43:52 -0700 (PDT)

> > Also, when you say "convert" it makes me realize that you asked about
> > search and *replace*, not just search.  Not sure what you have in mind
> > there.

[snip - explanation of what was meant]

> This is a quick and dirty way of "importing" an HTML document in to
> plain markup text.  I have a feeling that it can be useful.

I see.  Well the Isearch feature I suggested won't really help with that.
You can of course use `M-%' in Isearch to kick into a query-replace.  But
`query-replace' just picks up the last search string.  It has no notion
of search contexts, AFAIK.

Now maybe things could also be tweaked to make `query-replace' respect
such contexts.  In the case of character-property searching, that would
mean making `query-replace' sensitive somehow to `isearch-filter-predicate'.

Perhaps Juri has a suggestion in this regard.  He's pretty much the
resident expert on Isearch.  Or perhaps you see a solution wrt this.